
SELinux - Bug #5446

Denial from cron - postfix

04/25/2014 12:38 PM - Lukas Zapletal

Status: Rejected   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

AVC:

type=AVC msg=audit(1398427921.989:868): avc:  denied  { search } for  pid=10714 comm="local" name=

"puppet" dev=vda3 ino=17149 scontext=system_u:system_r:postfix_local_t:s0 tcontext=system_u:object

_r:puppet_var_lib_t:s0 tclass=dir

require {

        type postfix_local_t;

}

puppet_read_lib(postfix_local_t)

History

#1 - 04/25/2014 12:40 PM - Lukas Zapletal

- Category set to Packaging

- Target version set to 1.8.3

https://github.com/theforeman/foreman-selinux/pull/15

Added to existing PR.

#2 - 04/25/2014 01:15 PM - Dominic Cleal

- Status changed from Ready For Testing to New

This should be filed against the base OS in my opinion, it looks like Postfix is searching /var/lib and hitting /var/lib/puppet or something, rather than the

puppetmaster trying to do something and being denied.

#3 - 04/28/2014 08:09 AM - Lukas Zapletal

- Status changed from New to Rejected

Of course, need more sleep these days.

#4 - 04/29/2014 05:50 PM - Dominic Cleal

- Target version deleted (1.8.3)
